> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-jp/deploy/vision-events.md).

# Vision Events

## 概要

Vision Events は、デプロイ済みのコンピュータービジョンモデルからの視覚情報とともに、不良の検出や在庫数のカウントのような重要なイベントを記録できる Roboflow の datastore です。これにより、本番環境であなたの vision system が観測するあらゆる内容の、検索・絞り込み可能な履歴を取得できます。

## Vision Event とは？

Vision Event は、モデルが画像を処理したときに作成されるタイムスタンプ付きレコードです。各イベントでは、必要に応じて以下を記録できます：

* **画像**：処理され、関連付けられた元画像と出力画像
* **予測結果**：モデルから返されるオブジェクト検出、分類、インスタンスセグメンテーション、またはキーポイント
* **ソースメタデータ**：どのデバイス、ストリーム、またはワークフローがイベントを生成したか
* **カスタムメタデータ**：ドメイン用に定義するキー・バリューの組み合わせ（例： `line_number`, `shift`, `part_number`)

プログラムからアクセスするには、 [Vision Events API Reference](https://docs.roboflow.com/developer/rest-api/vision-events).

{% embed url="<https://www.youtube.com/watch?v=4HlYG1MacRk>" %}

## 主要な概念

### ユースケース

A **ユースケース** 共通の目的とカスタムメタデータ構造を共有するイベントをグループ化します。同じユースケース内のイベントは通常、同様のメタデータフィールドを送信するため、一貫した方法でフィルタリングやクエリを行えます。

たとえば、「Defect Detection」ユースケースでは、常に `line_id`, `shift`、および `part_number` を含めることができます。イベントが複数の工場やカメラの場所から来る場合でも同様です。メタデータ構造が本質的に異なる場合は、別のユースケースを作成してください（例：「PPE Compliance」では `zone` と `alert_type` を追跡するなど）。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-jp/deploy/vision-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
